org.apache.olingo.commons.api.edm

## Class FullQualifiedName

- java.lang.Object
- - org.apache.olingo.commons.api.edm.FullQualifiedName

- All Implemented Interfaces:
    Serializable

      public final class FullQualifiedName
      extends Object
      implements Serializable

  A full qualified name of any element in the EDM consists of a name and a namespace.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FullQualifiedName(String namespaceAndName)` Create the FQN with given namespace and name (which is split of last `.`
    `FullQualifiedName(String namespace, String name)` Create the FQN with given namespace and name

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getFullQualifiedNameAsString()`
    `String` | `getName()`
    `String` | `getNamespace()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FullQualifiedName

          public FullQualifiedName(String namespace,
                                   String name)

      Create the FQN with given namespace and name
      Parameters:
        `namespace` - namespace of FQN
        `name` - name of FQN

    - #### FullQualifiedName

          public FullQualifiedName(String namespaceAndName)

      Create the FQN with given namespace and name (which is split of last `.` of the parameter).
      Parameters:
        `namespaceAndName` - namespace and name of FQN

  - ### Method Detail

    - #### getNamespace

          public String getNamespace()

      Returns:
        namespace

    - #### getName

          public String getName()

      Returns:
        name

    - #### getFullQualifiedNameAsString

          public String getFullQualifiedNameAsString()

      Returns:
        namespace.name

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.